#include <iostream>
#include <string>

typedef unsigned int uint32;

std::string tobin(int significand)
{
  std::string res = (significand == 0) ? "1" : "1.";
  int mask = 0x00400000;
  while (significand != 0)
  {
    if (significand & mask)
      res += "1";
    else
      res += "0";
    significand &= ~mask;
    mask >>= 1;
  }
  return res;
}

void writeFloat(float f)
{
  uint32 u;
  int    sign;
  int    exponent;
  int    significand;

  //
  // Extract bits
  // 
  u = *(uint32*)&f;

  //
  // Extract sign
  //
  sign = (u & 0x80000000) >> 31;     //  1 bit

  //
  // Extract exponent
  //
  exponent = (u & 0x7F800000) >> 23; //  8 bit
  exponent -= 127;                   // exponent bias

  //
  // Extract significand
  //
  significand = (u & 0x007FFFFF);    // 23 bit
  //significand |= 0x00800000;         // implicit leading bit with value 1

  std::cout << f << " = " << ( (sign == 0) ? " " : "-" ) << "2^" << exponent << " * " << tobin(significand) << "(b)" << std::endl;
}

int main()
{
  float f;
  while (true)
  {
    std::cin >> f;
    writeFloat(f);
    if (f == 0) break;
  }
  return 0;
}